Subject: bug#14411: 24.3.50; compile.el: Better file search for parallel builds

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Sep 2020 17:39:24 +0200

Eli Zaretskii <[email-masked]> writes:

>> On the other hand, David's patch seems to fix this stuff automatically,
>> so my preference would be to just drop the defcustom and do the search,
>> anyway -- it's only done if we can't find the file name otherwise, so it
>> should only help, and never (?) hurt?
>
> I don't mind installing the feature.  But can we just make sure it is
> still effective, with modern Make and our current Makefiles?

Well, this isn't just an issue with Emacs' Makefiles, but any project
that's building under `M-x compile'.

But, true, I have no idea whether modern Make has this issue at all.
The presence of the -O switch seems to imply that it's still an issue.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no